package edu.uiuc.ncsa.myproxy.oa4mp.client.loader;

import edu.uiuc.ncsa.myproxy.oa4mp.client.ClientEnvironment;
import edu.uiuc.ncsa.myproxy.oa4mp.client.ClientXMLTags;
import edu.uiuc.ncsa.security.servlet.ConfigUtil;

import java.io.File;

/**
 * A utility to allow for loading the client environment from outside the servlet.
 * <p>Created by Jeff Gaynor<br>
 * on 3/5/13 at  12:14 PM
 */
public class ClientEnvironmentUtil {
    public static ClientEnvironment load(File configFile, String configName) throws Exception{
        return new ClientLoader(ConfigUtil.findConfiguration(configFile.getAbsolutePath(), configName, ClientXMLTags.COMPONENT)).load();
    }

    /**
     * For the case that the configuration file has a single configuration in it. This does not require a name
     * to be loaded.
     * @param configFile
     * @return
     * @throws Exception
     */
    public static ClientEnvironment load(File configFile) throws Exception{
        return load(configFile, null);
    }

}
